This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 405231 - KVM crashes when guests try to poweroff or reboot
KVM crashes when guests try to poweroff or reboot
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-29 18:07 EST by Lubomir Kundrak
Modified: 2008-02-19 03:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-19 03:12:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-11-29 18:07:39 EST
Description of problem:

Each time my Fedora/i386 guests attempt to poweroff or reboot I get this:

# ./rawhide.sh 
exception 13 (0)
rax 0000000000000000 rbx 0000000000000000 rcx 000000000000ffff rdx 0000000000000000
rsi 0000000000000000 rdi 0000000000000000 rsp 0000000000000000 rbp 0000000000000000
r8  0000000000000000 r9  0000000000000000 r10 0000000000000000 r11 0000000000000000
r12 0000000000000000 r13 0000000000000000 r14 0000000000000000 r15 0000000000000000
rip 0000000000010000 rflags 00033046
cs f000 (000f0000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
ds 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
es 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
ss 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
fs 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
gs 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
tr 0080 (20c00000/00002088 p 1 dpl 0 db 0 s 0 type b l 0 g 0 avl 0)
ldt 0000 (00000000/0000ffff p 1 dpl 0 db 0 s 0 type 2 l 0 g 0 avl 0)
gdt 0/ffff
idt 0/ffff
cr0 60000010 cr2 0 cr3 0 cr4 0 cr8 0 efer 0
code: 00 00 00 00 ea 5b e0 00 f0 31 31 2f 32 30 2f 30 37 00 fc 99 --> fc f6 86
11 02 00 00 40 75 10 fa b8 18 00 00 00 8e d8 8e c0 8e e0 8e e8 8e d0 8d a6 e8 01
./rawhide.sh: line 6: 13317 Aborted                 (core dumped) qemu-kvm
rawhide -net nic,macaddr=08:00:27:78:87:F9 -net tap,script=no,ifname=vbox3 -m
512 -boot n $@
#

Version-Release number of selected component (if applicable):

kvm-53-1.fc9
Comment 1 Jeremy Katz 2007-11-30 11:31:57 EST
What host kernel?  And Intel or AMD processor?
Comment 2 Lubomir Kundrak 2007-11-30 11:36:52 EST
kernel-2.6.23.1-49.fc8

$ cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Core(TM)2 Duo CPU     T7500  @ 2.20GHz
stepping        : 10
cpu MHz         : 800.000
cache size      : 4096 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 2
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm
constant_tsc arch_perfmon pebs bts rep_good pni monitor ds_cpl vmx est tm2 ssse3
cx16 xtpr lahf_lm ida
bogomips        : 4394.23
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Core(TM)2 Duo CPU     T7500  @ 2.20GHz
stepping        : 10
cpu MHz         : 800.000
cache size      : 4096 KB
physical id     : 0
siblings        : 2
core id         : 1
cpu cores       : 2
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm
constant_tsc arch_perfmon pebs bts rep_good pni monitor ds_cpl vmx est tm2 ssse3
cx16 xtpr lahf_lm ida
bogomips        : 4389.04
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:

$ 
Comment 3 Jeremy Katz 2007-11-30 11:46:09 EST
Reboot on Intel requires some real mode emulation that's only done with newer
kernel pieces.  
Comment 4 Lubomir Kundrak 2007-11-30 11:57:07 EST
You mean "newer" in sense relative to my kernel-2.6.23.1-49.fc8? That means that
my problem will go away once new kernel is ought, right?
Comment 5 Jeremy Katz 2007-11-30 12:05:08 EST
Yep, it should
Comment 6 Lubomir Kundrak 2008-02-19 03:12:45 EST
Closing this, no longer happens.

Note You need to log in before you can comment on or make changes to this bug.